HiAPI basics

HiAPI Search

{entity} examples: object, client, etc

HiAPI reference

In different modules (client, server, etc) all objects has their properties and types. Usually thay are cashed in admin page, but you can take it with API by /refsSearch endpoint.

Create authorized request

To create authorized request to API you need to get a authorization token. In general case of API usage, user can take it from OAuth2 server. But there is a functionality to get it via OAuth2 Tokens API.

Authorization token can be sent via:

- `access_token` GET or POST variable
- `Authorization: Bearer` HTTP header

Example:

POST https://api-domain/objectsSearch
Authorization: Bearer s45sdfsdf3425fg25sdfadg23452dfs35
name_like=somename

POST https://api-domain/objectsSearch?access_token=s45sdfsdf3425fg25sdfadg23452dfs35&name_like=somename